commit:     63acdd4db74da57be671a5bb720ed993a16355ad
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 14 09:52:04 2023 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Jul 15 05:59:46 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=63acdd4d

dev-ruby/vlad: update EAPI 7 -> 8

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/vlad/vlad-2.7.1-r1.ebuild | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/dev-ruby/vlad/vlad-2.7.1-r1.ebuild 
b/dev-ruby/vlad/vlad-2.7.1-r1.ebuild
new file mode 100644
index 000000000000..c96c268f71e7
--- /dev/null
+++ b/dev-ruby/vlad/vlad-2.7.1-r1.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_EXTRADOC="considerations.txt History.txt README.txt"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Pragmatic application deployment automation, without mercy"
+HOMEPAGE="https://github.com/seattlerb/vlad";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+ruby_add_bdepend ">=dev-ruby/hoe-3.13
+       test? ( >=dev-ruby/minitest-5.7 )"
+ruby_add_rdepend ">=dev-ruby/rake-remote_task-2.3"
+
+all_ruby_prepare() {
+       # Keep Isolate from managing the dependencies.
+       sed -i -e '/isolate/ s:^:#:' -e '/rubyforge/ s:^:#:' Rakefile || die
+}

Reply via email to